Package org.apache.sysds.runtime.transform.decode

# Enum Class DecoderFactory.DecoderType

java.lang.Object
java.lang.Enum<DecoderFactory.DecoderType>
org.apache.sysds.runtime.transform.decode.DecoderFactory.DecoderType

All Implemented Interfaces:
  `Serializable`, `Comparable<DecoderFactory.DecoderType>`, `Constable`

Enclosing class:
  DecoderFactory

public static enum DecoderFactory.DecoderType extends Enum<DecoderFactory.DecoderType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Bin`
`Dummycode`
`PassThrough`
`Recode`

## Method Summary

Modifier and Type
Method
Description
`static DecoderFactory.DecoderType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DecoderFactory.DecoderType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Bin

public static final DecoderFactory.DecoderType Bin

### Dummycode

public static final DecoderFactory.DecoderType Dummycode

### PassThrough

public static final DecoderFactory.DecoderType PassThrough

### Recode

public static final DecoderFactory.DecoderType Recode

## Method Details

### values

public static DecoderFactory.DecoderType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DecoderFactory.DecoderType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null